# References References ## Creates a new reference record that does not already exist. - [POST /references/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/references/createreference.md): This method will auto-generate an ID and create a new reference. If an ID is specified for the reference, an error will be thrown. ## Returns a list of records with the specified reference_id - [GET /references/{tenantId}/application/{application_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/references/listreferencesbyapplicationid.md): Returns a list of records with the specified reference_id ## Execute Batch Operations - [POST /references/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/references/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /references/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/references/listreferencesbycontactid.md): Returns a list of records with the specified contact_id ## Sends out a preview of the CRC notification email - [POST /references/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/references/previewemail.md): Sends out a preview of the CRC notification email ## Sends out a preview of the CRC notification email - [POST /references/{tenantId}/process/{application_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/references/processreferences.md): Sends out a preview of the CRC notification email ## Searches for references using predefined parameters - [POST /references/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/references/searchforreferences.md): Searches for references using predefined parameters ## Submit a reference - [POST /references/{tenantId}/submit](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/references/submitreference.md) ## Returns a reference from the system by its ID. - [DELETE /references/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/references/deletereference.md): This method will delete a reference with the specified ID. ## Returns a reference from the system by its ID. - [GET /references/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/references/getreference.md): This method will look up a reference by the specified ID and return it back. ## Partially updates a reference with the specified ID. - [PATCH /references/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/references/patchreference.md): This method will patch an existing reference with the specified ID, using the HTTP PATCH specification. ## Updates a reference with the specified ID. - [PUT /references/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/references/updatereference.md): This method will update an existing reference with the specified ID.